module RubyRed
  module Commands
    # Core module for adding commands to the Bot for use
    #
    # Has a wide-include that auto-includes the files in the 'lib/commands' folder

    Dir["#{File.dirname(__FILE__)}/commands/*.rb"].each {|file| require file}

    @commands = [
        Characterize,
        Diag,
        Drink,
        Ping,
        Pug,
        Version
    ]

    def self.include!
      @commands.each do |command|
        RubyRed::BOT.include!(command)
      end
    end
  end
end