module RubyRed
  module Commands
    module Characterize
      require 'yaml'
      # Generates a random character for roleplaying purposes
      #
      # Examples:
      #   !characterize
      #   'RubyRed: female dwarven rogue'
      CHARACTER_YAML_FILE = 'lib/rubyred/commands/characterize/attributes.yaml'
      character_data = YAML.load(File.open(CHARACTER_YAML_FILE))
      srand Time.now.to_i

      extend Discordrb::Commands::CommandContainer

      command(:characterize, description: 'Generates a random character for roleplaying purposes') do |event|
        "Here's a character idea: a #{character_data["sex"].sample} #{character_data["race"].sample} #{character_data["class"].sample}"
      end
    end
  end
end