module RubyRed
  module Commands
    module Drink
      require 'yaml'
      require_relative 'drink/drink_helper'
      # Serves up a refreshing beverage
      #
      # Examples:
      #
      DRINK_YAML_FILE = 'lib/rubyred/commands/drink/drink.yaml'
      drink_data = YAML.load(File.open(DRINK_YAML_FILE))
      srand Time.now.to_i # Reseeds the randomizer on load

      extend Discordrb::Commands::CommandContainer
      command(:drink, description: 'Provides a refreshing beverage at random') do |event|
        drink_served = drink_data[rand(1..2)] #TODO: Figure out some way to make this dynamic with the YAML size
        event << "Here's a freshly made #{drink_served[0]["name"]}, #{event.user.name}!"
        event << "#{drink_served[0]["name"]}s are made using the finest ingredients below:"
        drink_served[0]["ingredients"].each do |ing|
          event << "* #{ing}"
        end
        event << "To make your own #{drink_served[0]["name"]}s, just follow these instructions:\n #{drink_served[0]["description"]}"
      end
    end
  end
end