module RubyRed
  module Commands
    module Pug
      require 'net/http'
      require 'json'
      require_relative 'pug/pug_helper'
      # Provides the user who requests it with pictures of pugs!
      #
      # Examples:
      #   !pug 3
      #   `RubyRed`: http://link.to.pug/1
      #   `RubyRed`: http://link.to.pug/2
      #   `RubyRed`: http://link.to.pug/3

      single_uri = URI('http://pugme.herokuapp.com/random')
      bomb_partial = 'http://pugme.herokuapp.com/bomb?count='
      extend Discordrb::Commands::CommandContainer
      command(:pug, description: 'Provides the user who requests it with a picture of a pug!') do |event|
        res = Net::HTTP.get_response(single_uri)
        hash = JSON.parse(res.body)
        event << hash["pug"]
      end
      command(:pugs, description: 'Provides numerous pugs on demand', min_args: 1,
              usage: 'pugs <num>') do |event, *num|
        bomb_uri=URI("#{bomb_partial}#{num[0]}")
        res = Net::HTTP.get_response(bomb_uri)
        hash = JSON.parse(res.body)
        PugHelper.dehash(hash, event)
      end
    end
  end
end